# Generated by rust2rpm 15
%bcond_without check
%global debug_package %{nil}

%global crate onig_sys

Name:           rust-%{crate}
Version:        69.5.0
Release:        3%{?dist}
Summary:        Raw rust bindings to the oniguruma library

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/onig_sys
Source:         %{crates_source}
# Initial patched metadata
# * Bump to bindgen 0.54, https://github.com/rust-onig/rust-onig/pull/143
# * Make bindgen as non-optional dep (for next patch)
Patch0:         onig_sys-fix-metadata.diff
# Always use system onig
Patch0001:      0001-Always-use-system-onig.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
`onig_sys` crate contains raw rust bindings to the oniguruma library. This
crate exposes a set of unsafe functions which can then be used by other crates
to create safe wrappers around Oniguruma.
You probably don't want to link to this crate directly; instead check out the
`onig` crate.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(oniguruma) >= 6.8.0

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+generate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+generate-devel %{_description}

This package contains library source intended for building other packages
which use "generate" feature of "%{crate}" crate.

%files       -n %{name}+generate-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+posix-api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+posix-api-devel %{_description}

This package contains library source intended for building other packages
which use "posix-api" feature of "%{crate}" crate.

%files       -n %{name}+posix-api-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+print-debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+print-debug-devel %{_description}

This package contains library source intended for building other packages
which use "print-debug" feature of "%{crate}" crate.

%files       -n %{name}+print-debug-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
rm -vrf oniguruma/
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(oniguruma) >= 6.8.0'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri May 29 2020 Josh Stone <jistone@redhat.com> - 69.5.0-3
- Bump to bindgen 0.54.

* Sat May 23 22:37:42 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 69.5.0-2
- Always require bindgen

* Thu Feb 27 2020 Josh Stone <jistone@redhat.com> - 69.2.0-4
- Bump bindgen to 0.53.

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 69.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Dec 10 2019 Josh Stone <jistone@redhat.com> - 69.2.0-2
- Bump bindgen to 0.52.

* Thu Sep 05 05:30:43 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 69.2.0-1
- Update to 69.2.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 69.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 23 00:12:31 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 69.1.0-3
- Regenerate

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 69.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jan 12 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 69.1.0-1
- Update to 69.1.0

* Sat Nov 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 69.0.0-2
- Adapt to new packaging

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 69.0.0-1
- Update to 69.0.0

* Wed Sep 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 68.2.1-1
- Update to 68.2.1

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 68.2.0-1
- Initial package
